HomeGuidesAPI Reference
API Reference

Get aggregate IP SLA statistics for monitoring probes across appliances

Retrieves IP SLA aggregate statistics for specified appliances. Returns column definitions and data arrays with metrics including latency, packet loss, jitter, and probe availability aggregated over the specified time range and granularity.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int64
required
≥ 0

Epoch time in seconds for the start of the data time range. Must be >= 0 and less than endTime.

int64
required
≥ 0

Epoch time in seconds for the end of the data time range. Must be >= 0 and greater than startTime.

string
enum
required

Time interval granularity for data aggregation. Case-insensitive.

Allowed:
string

IP SLA configuration key to filter results by a specific probe configuration.

string

IP SLA target address defined in the operation name, used to filter results for a specific destination.

integer
1 to 10000
Defaults to 10000

Maximum number of data rows to return. Defaults to 10000 if not specified or if the value exceeds 10000.

Body Params

JSON object containing array of appliance primary keys (nePks)

nePks
array of strings
required
length ≥ 1

Array of appliance primary keys to retrieve IP SLA stats for

nePks*
Responses

401

Authentication required

403

Insufficient permissions. Requires READ or READ_WRITE role.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json